comedi_get_n_ranges
Prev | 5.4.1. Core Functions | Next

## Name

comedi_get_n_ranges — number of ranges of channel

## Synopsis

    #include <comedilib.h>

`int comedi_get_n_ranges(` | comedi_t * device,
| unsigned int subdevice,
| unsigned int channel`)`;

## Description

The function `comedi_get_n_ranges` returns the number of ranges of the channel `channel` belonging to the subdevice `subdevice` of the comedi device `device`. This function returns `-1` on error.

Prev | Up | Next
comedi_get_n_channels | Home | comedi_get_n_subdevices